Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.relation
Interface RelationType

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  RelationTypeSupport

    public interface RelationType

extends Serializable

The RelationType interface has to be implemented by any class expected to represent a relation type.

Since:
  1.5

Method Summary
`String` | `getRelationTypeName()` Returns the relation type name.
`RoleInfo` | `getRoleInfo(String roleInfoName)` Returns the role info (RoleInfo object) for the given role info name (null if not found).
`List<RoleInfo>` | `getRoleInfos()` Returns the list of role definitions (ArrayList of RoleInfo objects).

Method Detail

### getRelationTypeName

    String getRelationTypeName()

  Returns the relation type name.

  Returns:
    the relation type name.

### getRoleInfos

    List<RoleInfo> getRoleInfos()

  Returns the list of role definitions (ArrayList of RoleInfo objects).

  Returns:
    an `ArrayList` of `RoleInfo`.

### getRoleInfo

    RoleInfo getRoleInfo(String roleInfoName)
                         throws IllegalArgumentException,
                                RoleInfoNotFoundException

  Returns the role info (RoleInfo object) for the given role info name (null if not found).

  Parameters:
    `roleInfoName` - role info name
  Returns:
    RoleInfo object providing role definition does not exist
  Throws:
    `IllegalArgumentException` - if null parameter
    `RoleInfoNotFoundException` - if no role info with that name in relation type.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.